Bug 830963 - Unable to Bluetooth pair to any of my Android mobile devices
Unable to Bluetooth pair to any of my Android mobile devices
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-bluetooth (Show other bugs)
18
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Bastien Nocera
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-11 15:46 EDT by Gerry Reno
Modified: 2014-02-05 07:00 EST (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 06:59:59 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gerry Reno 2012-06-11 15:46:16 EDT
Description of problem:
I have spent half the morning trying to pair my VZ Galaxy Nexus with F17 over Bluetooth without success.

F17 finds the Nexus and shows it in the list of Devices. 

Then I select it and press Continue. 

Next F17 displays a passkey.

I see the passkey displayed on the Nexus and press Pair.

On F17 I press Matches.

And then nothing happens until it times out and and say Failed.

I also tried pairing with my Galaxy Tab 10.1 and had the same problem.


Version-Release number of selected component (if applicable):
gnome-bluetooth-3.4.0-2.fc17.x86_64

How reproducible:
Always

Steps to Reproduce:
1. Bring up bluetooth settings in Gnome3
2. Attempt to add device.
3. Select added device and press Continue.
4. On phone/tablet select Pair when the correct passkey displays.
  
Actual results:
No pairing occurs even though passkey is correct.

Expected results:
Pairing.

Additional info:
Comment 1 Matt Chan 2012-06-11 17:01:02 EDT
I can confirm this bug as well. Galaxy nexus running stock android v 4.0.4, same version of gnome-bluetooth as reporter.

In /var/log/messages, these errors appear, although I'm unsure whether they are due to connection errors, or whether they are causing them.

dbus-daemon[738]: dbus[738]: [system] Rejected send message, 3 matched rules; type="method_return", sender=":1.90" (uid=1000 pid=29793 comm="bluetooth-wizard ") interface="(unset)" member="(unset)" error name="(unset)" requested_reply="0" destination=":1.0" (uid=0 pid=584 comm="/usr/sbin/bluetoothd -n ")

Matt
Comment 2 birger 2012-06-20 06:04:01 EDT
I see the same problem with my Sony Xperia S. It is listed as device type 'unknown' before I start the pairing.


Jun 20 11:50:34 sch30623-lf bluetoothd[754]: Agent replied with an error: org.freedesktop.DBus.Error.NoReply, Did not receive a reply. Possible causes include: the remote application did not send a reply, the message bus security policy blocked the reply, the reply timeout expired, or the network connection was broken.
Jun 20 11:50:34 sch30623-lf dbus-daemon[860]: dbus[860]: [system] Rejected send message, 3 matched rules; type="method_return", sender=":1.91" (uid=16777217 pid=4384 comm="bluetooth-wizard ") interface="(unset)" member="(unset)" error name="(unset)" requested_reply="0" destination=":1.0" (uid=0 pid=754 comm="/usr/sbin/bluetoothd -n ")
Jun 20 11:50:34 sch30623-lf dbus[860]: [system] Rejected send message, 3 matched rules; type="method_return", sender=":1.91" (uid=16777217 pid=4384 comm="bluetooth-wizard ") interface="(unset)" member="(unset)" error name="(unset)" requested_reply="0" destination=":1.0" (uid=0 pid=754 comm="/usr/sbin/bluetoothd -n ")
Comment 3 Gerry Reno 2012-06-22 20:24:04 EDT
I am running Foxfi on the Nexus and I have activated the Bluetooth DUN but still no pairing with my F17 laptop.

Bluetooth is turned on on both devices and visibility is on.

.
Comment 4 Christopher 2012-06-25 10:28:15 EDT
The bug seems to be upstream (same problem on Arch Linux with Gnome.  I get the following errors in daemon.log


Jun 25 10:23:46 localhost bluetoothd[6615]: Discovery session 0x7f6bdb960b50 with :1.90 activated
Jun 25 10:24:19 localhost bluetoothd[6615]: Stopping discovery
Jun 25 10:24:54 localhost bluetoothd[6615]: hci0: Cancel Pair Device (0x001a) failed: Invalid Parameters (0x0d)
Comment 5 William Nix (tronik) 2012-07-08 09:20:37 EDT
Also confirmed on FC17 / Android 4.1 ICS - Jellybean
Comment 6 William Nix (tronik) 2012-07-08 14:05:48 EDT
(In reply to comment #5)
> Also confirmed on FC17 / Android 4.1 ICS - Jellybean
gnome-bluetooth-libs-3.4.1-1.fc17.x86_64
gnome-bluetooth-3.4.1-1.fc17.x86_64

--- /var/log/messages
Jul  8 14:01:02 tronik bluetoothd[764]: bluetoothd[764]: Discovery session 0x7ffeaa85cb40 with :1.78 activated
Jul  8 14:01:02 tronik bluetoothd[764]: Discovery session 0x7ffeaa85cb40 with :1.78 activated
Jul  8 14:01:11 tronik bluetoothd[764]: bluetoothd[764]: Stopping discovery
Jul  8 14:01:11 tronik bluetoothd[764]: Stopping discovery
Jul  8 14:01:11 tronik dbus-daemon[837]: ** Message: No devices in use, exit
Jul  8 14:02:13 tronik bluetoothd[764]: bluetoothd[764]: Agent replied with an error: org.freedesktop.DBus.Error.NoReply, Did not receive a reply. Possible causes include: the remote application did not send a reply, the message bus security policy blocked the reply, the reply timeout expired, or the network connection was broken.
Jul  8 14:02:13 tronik bluetoothd[764]: Agent replied with an error: org.freedesktop.DBus.Error.NoReply, Did not receive a reply. Possible causes include: the remote application did not send a reply, the message bus security policy blocked the reply, the reply timeout expired, or the network connection was broken.
Jul  8 14:02:13 tronik dbus-daemon[837]: dbus[837]: [system] Rejected send message, 3 matched rules; type="method_return", sender=":1.78" (uid=1000 pid=2096 comm="bluetooth-wizard ") interface="(unset)" member="(unset)" error name="(unset)" requested_reply="0" destination=":1.0" (uid=0 pid=764 comm="/usr/sbin/bluetoothd -n ")
Jul  8 14:02:13 tronik dbus[837]: [system] Rejected send message, 3 matched rules; type="method_return", sender=":1.78" (uid=1000 pid=2096 comm="bluetooth-wizard ") interface="(unset)" member="(unset)" error name="(unset)" requested_reply="0" destination=":1.0" (uid=0 pid=764 comm="/usr/sbin/bluetoothd -n ")
---
Comment 7 William Nix (tronik) 2012-07-08 14:15:03 EDT
As of today: update of FC17 to gnome-bluetooth 3.4.2
gnome-bluetooth-libs-3.4.2-1.fc17.x86_64
gnome-bluetooth-3.4.2-1.fc17.x86_64

Nexus ICS Jellybean 4.1 Device now pairs properly.
Comment 8 Gerry Reno 2012-07-08 15:27:53 EDT
I just tested gnome-bluetooth 3.4.2 and it does pair now.  :-)

However, that is only half the battle.

None of my Android devices will get a bluetooth tether connection to F17.

:-(
Comment 9 Gerry Reno 2012-07-08 16:23:30 EDT
/var/log/messages:
Jul  8 14:50:01 renog13-lin01 yum[27625]: Updated: 1:gnome-bluetooth-libs-3.4.2-1.fc17.x86_64
Jul  8 14:50:01 renog13-lin01 yum[27625]: Updated: 1:gnome-bluetooth-3.4.2-1.fc17.x86_64
Jul  8 14:50:02 renog13-lin01 dbus-daemon[1020]: dbus[1020]: [system] Activating service name='org.freedesktop.PackageKit' (using servicehelper)
Jul  8 14:50:02 renog13-lin01 dbus[1020]: [system] Activating service name='org.freedesktop.PackageKit' (using servicehelper)
Jul  8 14:50:02 renog13-lin01 dbus-daemon[1020]: dbus[1020]: [system] Successfully activated service 'org.freedesktop.PackageKit'
Jul  8 14:50:02 renog13-lin01 dbus[1020]: [system] Successfully activated service 'org.freedesktop.PackageKit'
Jul  8 15:18:11 renog13-lin01 bluetoothd[869]: bluetoothd[869]: Discovery session 0x7fa14b079e40 with :1.248 activated
Jul  8 15:18:11 renog13-lin01 bluetoothd[869]: Discovery session 0x7fa14b079e40 with :1.248 activated
Jul  8 15:18:28 renog13-lin01 bluetoothd[869]: bluetoothd[869]: Stopping discovery
Jul  8 15:18:28 renog13-lin01 bluetoothd[869]: Stopping discovery
Jul  8 15:18:29 renog13-lin01 udevd[490]: specified group 'plugdev' unknown
Jul  8 15:18:29 renog13-lin01 udevd[490]: RUN+="socket:..." support will be removed from a future udev release. Please remove it from: /etc/udev/rules.d/xend.rules:1 and use libudev to subscribe to events.
Jul  8 15:18:29 renog13-lin01 udevd[490]: RUN+="socket:..." support will be removed from a future udev release. Please remove it from: /etc/udev/rules.d/xend.rules:2 and use libudev to subscribe to events.
Jul  8 15:18:29 renog13-lin01 udevd[490]: RUN+="socket:..." support will be removed from a future udev release. Please remove it from: /etc/udev/rules.d/xend.rules:3 and use libudev to subscribe to events.
Jul  8 15:18:38 renog13-lin01 dbus-daemon[1020]: dbus[1020]: [system] Rejected send message, 3 matched rules; type="method_return", sender=":1.248" (uid=1000 pid=27955 comm="bluetooth-wizard ") interface="(unset)" member="(unset)" error name="(unset)" requested_reply="0" destination=":1.0" (uid=0 pid=869 comm="/usr/sbin/bluetoothd -n ")
Jul  8 15:18:38 renog13-lin01 dbus[1020]: [system] Rejected send message, 3 matched rules; type="method_return", sender=":1.248" (uid=1000 pid=27955 comm="bluetooth-wizard ") interface="(unset)" member="(unset)" error name="(unset)" requested_reply="0" destination=":1.0" (uid=0 pid=869 comm="/usr/sbin/bluetoothd -n ")
Jul  8 15:18:38 renog13-lin01 bluetoothd[869]: bluetoothd[869]: input-headset driver probe failed for device 18:46:17:E9:0C:B5
Jul  8 15:18:38 renog13-lin01 bluetoothd[869]: input-headset driver probe failed for device 18:46:17:E9:0C:B5
Comment 10 William Nix (tronik) 2012-07-08 17:05:45 EDT
Using Androids "built in" Bluetooth Tether (and USB tether) I was able to successfully tether with FC17 and 4.1. Attempts using FoxFi/PDANet result in failure with FC17 and 4.1 - however the stock tether options under Settings -> More -> Tethering & Portable Hotspot all work for me at this point... Interesting change of behaviours... which tells me its less of a 'problem' for FC than it seems to be if the default Android Tethers work fine but 3rd party ones don't - Sounds like it may be something to take up with the third party Application developer moving forward.

-tronik
Comment 11 Gerry Reno 2012-07-08 17:25:04 EDT
Here's my scenarios:

Galaxy Tab WiFi 10.1 (Android 3.1) to F17:
  BT Pairing: works
  BT Tether:  fails (says Connecting... but then fails to connect)

Galaxy Nexus Verizon (Android 4.0) to F17:
  BT Pairing: works
  BT Tether:  fails (still prompts for subscription - thought VZ did away with this and went for shared data plan)
Comment 12 Stéphane Raimbault 2012-10-02 11:56:10 EDT
I think this problem is fixed now.

I've had a similar issue with Android 2.3.7 in June and with F17 updates, I'm able to pair it properly now via Bluetooth..
Comment 13 Matthias Gehre 2012-11-08 04:23:37 EST
I'm running gnome-bluetooth 1:3.4.2-1.fc17 and it is NOT working for me.

When I gnome applet to "setup a new device..." and then choose "Do not pair" from the Pin options menu, I still get the same error, i.e. my log says

Nov  8 10:21:21 lapfour dbus-daemon[908]: dbus[908]: [system] Rejected send message, 3 matched rules; type="method_return", sender=":1.91" (uid=1000 pid=2345 comm="bluetooth-wizard ") interface="(unset)" member="(unset)" error name="(unset)" requested_reply="0" destination=":1.2" (uid=0 pid=776 comm="/usr/sbin/bluetoothd -n -d ")
Nov  8 10:21:21 lapfour dbus[908]: [system] Rejected send message, 3 matched rules; type="method_return", sender=":1.91" (uid=1000 pid=2345 comm="bluetooth-wizard ") interface="(unset)" member="(unset)" error name="(unset)" requested_reply="0" destination=":1.2" (uid=0 pid=776 comm="/usr/sbin/bluetoothd -n -d ")

and the gnome applet tells me "Setting up Bluetooth mouse failed".
Comment 14 Matthias Gehre 2012-11-08 04:30:34 EST
I'm sorry for disturbing this bug, I just saw its specially about android phones.
My problem is with a mouse. Please ignore my post.
Comment 15 Aaron Sowry 2013-01-29 03:15:06 EST
Not fixed for me.

gnome-bluetooth-3.6.1-2.fc18.x86_64
bluez-libs-4.101-6.fc18.x86_64
gnome-bluetooth-libs-3.6.1-2.fc18.x86_64
bluez-4.101-6.fc18.x86_64

Stumbled across bug #885818 to solve the one issue I was having, and updated bluez/bluez-libs from updates-testing. Unfortunately, this only solves a problem which occurs on the rare occasion that a pairing can actually be initiated successfully from F18 - most of the time, this happens:

Jan 29 09:05:51 wotan dbus-daemon[631]: dbus[631]: [system] Rejected send message, 3 matched rules; type="method_return", sender=":1.175" (uid=1000 pid=6675 comm="bluetooth-wizard ") interface="(unset)" member="(unset)" error name="(unset)" requested_reply="0" destination=":1.151" (uid=0 pid=6176 comm="/usr/sbin/bluetoothd -n ")
Jan 29 09:05:51 wotan dbus[631]: [system] Rejected send message, 3 matched rules; type="method_return", sender=":1.175" (uid=1000 pid=6675 comm="bluetooth-wizard ") interface="(unset)" member="(unset)" error name="(unset)" requested_reply="0" destination=":1.151" (uid=0 pid=6176 comm="/usr/sbin/bluetoothd -n ")
Jan 29 09:05:51 wotan bluetoothd[6176]: bluetoothd[6176]: hci0: Cancel Pair Device (0x001a) failed: Invalid Parameters (0x0d)
Jan 29 09:05:51 wotan bluetoothd[6176]: hci0: Cancel Pair Device (0x001a) failed: Invalid Parameters (0x0d)
Comment 16 Ankur Sinha (FranciscoD) 2013-03-12 04:42:35 EDT
I cannot pair my device either. This is what I see when I try to tether:

Mar 12 19:35:46 dhcppc1 bluetoothd[12226]: bluetoothd[12226]: Adapter /org/bluez/12226/hci0 has been disabled
Mar 12 19:35:46 dhcppc1 bluetoothd[12226]: Adapter /org/bluez/12226/hci0 has been disabled
Mar 12 19:35:47 dhcppc1 bluetoothd[12226]: bluetoothd[12226]: Adapter /org/bluez/12226/hci0 has been enabled
Mar 12 19:35:47 dhcppc1 bluetoothd[12226]: Adapter /org/bluez/12226/hci0 has been enabled
Mar 12 19:36:00 dhcppc1 NetworkManager[8098]: <info> BT device 74:45:8A:7C:FF:89 removed
Mar 12 19:36:00 dhcppc1 NetworkManager[8098]: <info> (74:45:8A:7C:FF:89): device state change: disconnected -> unmanaged (reason 'removed') [30 10 36]
Mar 12 19:36:00 dhcppc1 NetworkManager[8098]: <info> (74:45:8A:7C:FF:89): cleaning up...
Mar 12 19:36:00 dhcppc1 NetworkManager[8098]: <info> (74:45:8A:7C:FF:89): taking down device.
Mar 12 19:36:00 dhcppc1 NetworkManager[8098]: nm_system_iface_set_up: assertion `ifindex > 0' failed
Mar 12 19:36:01 dhcppc1 NetworkManager[8098]:    keyfile: removed /etc/NetworkManager/system-connections/Ankurs galaxy Network.
Mar 12 19:36:02 dhcppc1 bluetoothd[12226]: bluetoothd[12226]: Discovery session 0x7feb8a5deb40 with :1.143 activated
Mar 12 19:36:02 dhcppc1 bluetoothd[12226]: Discovery session 0x7feb8a5deb40 with :1.143 activated
Mar 12 19:36:21 dhcppc1 bluetoothd[12226]: bluetoothd[12226]: Stopping discovery
Mar 12 19:36:21 dhcppc1 bluetoothd[12226]: Stopping discovery
Mar 12 19:36:26 dhcppc1 bluetoothd[12226]: bluetoothd[12226]: hci0: Cancel Pair Device (0x001a) failed: Invalid Parameters (0x0d)
Mar 12 19:36:26 dhcppc1 bluetoothd[12226]: hci0: Cancel Pair Device (0x001a) failed: Invalid Parameters (0x0d)
Mar 12 19:36:26 dhcppc1 dbus-daemon[720]: dbus[720]: [system] Rejected send message, 3 matched rules; type="method_return", sender=":1.143" (uid=1000 pid=19156 comm="bluetooth-wizard ") interface="(unset)" member="(unset)" error name="(unset)" requested_reply="0" destination=":1.135" (uid=0 pid=12226 comm="/usr/sbin/bluetoothd -n ")
Mar 12 19:36:26 dhcppc1 dbus[720]: [system] Rejected send message, 3 matched rules; type="method_return", sender=":1.143" (uid=1000 pid=19156 comm="bluetooth-wizard ") interface="(unset)" member="(unset)" error name="(unset)" requested_reply="0" destination=":1.135" (uid=0 pid=12226 comm="/usr/sbin/bluetoothd -n ")
Mar 12 19:36:29 dhcppc1 bluetoothd[12226]: bluetoothd[12226]: Discovery session 0x7feb8a5db900 with :1.143 activated
Mar 12 19:36:29 dhcppc1 bluetoothd[12226]: Discovery session 0x7feb8a5db900 with :1.143 activated
Mar 12 19:36:33 dhcppc1 bluetoothd[12226]: bluetoothd[12226]: Stopping discovery
Mar 12 19:36:33 dhcppc1 bluetoothd[12226]: Stopping discovery
Mar 12 19:36:38 dhcppc1 bluetoothd[12226]: bluetoothd[12226]: hci0: Cancel Pair Device (0x001a) failed: Invalid Parameters (0x0d)
Mar 12 19:36:38 dhcppc1 bluetoothd[12226]: hci0: Cancel Pair Device (0x001a) failed: Invalid Parameters (0x0d)
Mar 12 19:36:38 dhcppc1 dbus-daemon[720]: dbus[720]: [system] Rejected send message, 3 matched rules; type="method_return", sender=":1.143" (uid=1000 pid=19156 comm="bluetooth-wizard ") interface="(unset)" member="(unset)" error name="(unset)" requested_reply="0" destination=":1.135" (uid=0 pid=12226 comm="/usr/sbin/bluetoothd -n ")
Mar 12 19:36:38 dhcppc1 dbus[720]: [system] Rejected send message, 3 matched rules; type="method_return", sender=":1.143" (uid=1000 pid=19156 comm="bluetooth-wizard ") interface="(unset)" member="(unset)" error name="(unset)" requested_reply="0" destination=":1.135" (uid=0 pid=12226 comm="/usr/sbin/bluetoothd -n ")
Mar 12 19:37:01 dhcppc1 bluetoothd[12226]: bluetoothd[12226]: Discovery session 0x7feb8a5db900 with :1.143 activated
Mar 12 19:37:01 dhcppc1 bluetoothd[12226]: Discovery session 0x7feb8a5db900 with :1.143 activated
Mar 12 19:37:06 dhcppc1 bluetoothd[12226]: bluetoothd[12226]: Stopping discovery
Mar 12 19:37:06 dhcppc1 bluetoothd[12226]: Stopping discovery
Mar 12 19:37:11 dhcppc1 bluetoothd[12226]: bluetoothd[12226]: hci0: Cancel Pair Device (0x001a) failed: Invalid Parameters (0x0d)
Mar 12 19:37:11 dhcppc1 bluetoothd[12226]: hci0: Cancel Pair Device (0x001a) failed: Invalid Parameters (0x0d)
Mar 12 19:37:11 dhcppc1 dbus-daemon[720]: dbus[720]: [system] Rejected send message, 3 matched rules; type="method_return", sender=":1.143" (uid=1000 pid=19156 comm="bluetooth-wizard ") interface="(unset)" member="(unset)" error name="(unset)" requested_reply="0" destination=":1.135" (uid=0 pid=12226 comm="/usr/sbin/bluetoothd -n ")
Mar 12 19:37:11 dhcppc1 dbus[720]: [system] Rejected send message, 3 matched rules; type="method_return", sender=":1.143" (uid=1000 pid=19156 comm="bluetooth-wizard ") interface="(unset)" member="(unset)" error name="(unset)" requested_reply="0" destination=":1.135" (uid=0 pid=12226 comm="/usr/sbin/bluetoothd -n ")

[ankur@dhcppc1  ~]$ rpm -qa \*bluez\*
bluez-cups-4.101-6.fc18.x86_64
bluez-4.101-6.fc18.x86_64
bluez-hid2hci-4.101-6.fc18.x86_64
bluez-libs-4.101-6.fc18.x86_64
[ankur@dhcppc1  ~]$ rpm -q gnome-bluetooth
gnome-bluetooth-3.6.1-2.fc18.x86_64

It worked fine in a previous version. I unpaired and tried to repair my cell phone since tethering appears to not work either.

Thanks,
Warm regards,
Ankur
Comment 17 Fedora End Of Life 2013-12-21 03:38:09 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 18 Fedora End Of Life 2014-02-05 07:00:02 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.